Groups Restrict Categories breaks Yoast

After going in and “one by one” disabling all plugins individually and re-testing, we have found this plugin is breaking the Yoast edit area. The primary errors are in web dev tools are as such:

Uncaught TypeError: wp.data.select(…) is null

Are you aware of this error and can provide a fix?

We are using Version 2.3.0 at the current time. When rolling back to a prior version (2.1.2 is the last avaiable version we had), the issue goes away.

Please advise. Thank you.

5 Responses to Groups Restrict Categories breaks Yoast

  1. ZEF January 15, 2022 at 10:20 am #

    Hi George,

    I can confirm this happens on my install too, using latest WordPress, WooCommerce and Yoast plugins.

    Do you have a fix coming up?

    • George January 19, 2022 at 9:10 am #

      Hi Zef,

      Do you only get the error in the browser console or are there also any other irregular behaviours in functionality? Can you please provide a brief description?

      Cheers,
      George

  2. George January 13, 2022 at 9:58 pm #

    Hi Patricia,

    Yes of course we will issue an update for the plugin since it produces an error. Once this is released you will find an update notice in the usual place, in your Dashboard under Plugins.

    Thanks a lot for your feedback, it is highly appreciated.

    Kind regards,
    George

  3. bmpfitness January 13, 2022 at 5:38 pm #

    The Yoast SEO edit screen is rendered useless with the latest version of Restrict Categories. I don’t know at which version it broke, but rolling back to 2.1.2 was all we had available, as I’ve mentioned. The Restrict plugin works using 2.3.0 but we can’t have a failed Yoast SEO section, as it drives meta details on the frontend of the website. Downgrading was our only option to have both plugins work properly. Do you plan to fix your plugin to work properly with Yoast, or should we start to condiser removing/replacing the Restrict plugin? Thank you.

  4. George January 13, 2022 at 5:10 pm #

    Hi Patricia,

    Welcome to our support forum and many thanks for your feedback.

    Indeed the issue occurs but I’m only getting it in the browser console when trying to add a new product or edit an existing one with WooCommerce. When does it occur on your side and most importantly does it affect in any way the functionality of the plugin.
    I haven’t noticed anything unusual while testing but your feedback on this matter would be greatly appreciated. Furthermore, I’ll have a more thorough look at this error and will follow-up once there is an update.

    As a side-note I would also recommend you to avoid any kind of downgrading because this is something not natively supported by our plugins or WordPress itself.

    Kind regards,
    George

Only authorized members can comment on this topic.

Log in

We use cookies to optimize your experience on our site and assume you're OK with that if you stay.
OK, hide this message.

Affiliates · Contact · Jobs · Terms & Conditions · Privacy Policy · Documentation · Downloads · Useful Plugins · My Account

Share